> ## Documentation Index
> Fetch the complete documentation index at: https://docs.emite.do/llms.txt
> Use this file to discover all available pages before exploring further.

# Download Document Artifact



## OpenAPI

````yaml /openapi/public-v1.json get /api/v1/client/documents/{public_id}/artifacts/{artifact_type}
openapi: 3.1.0
info:
  title: emite.do API
  description: >-
    API pública para emitir, consultar y operar e-CF ante la DGII. Autenticación
    por header X-API-Key. El POST /api/v1/ecf no promete el estado fiscal final:
    consulta o webhook.
  version: 1.0.0
servers:
  - url: https://api.emite.do
    description: Producción
security:
  - ApiKeyAuth: []
paths:
  /api/v1/client/documents/{public_id}/artifacts/{artifact_type}:
    get:
      tags:
        - client
      summary: Download Document Artifact
      operationId: >-
        download_document_artifact_api_v1_client_documents__public_id__artifacts__artifact_type__get
      parameters:
        - name: public_id
          in: path
          required: true
          schema:
            type: string
            title: Public Id
        - name: artifact_type
          in: path
          required: true
          schema:
            enum:
              - generated-xml
              - signed-xml
              - rfce
              - ri
              - dgii-response
            type: string
            title: Artifact Type
        - name: refresh
          in: query
          required: false
          schema:
            type: boolean
            description: Regenerar la RI antes de descargar
            default: false
            title: Refresh
          description: Regenerar la RI antes de descargar
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            title: X-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: API key de la empresa. Se muestra una sola vez al crearla.

````